description: Document template representation
type: object
properties:
  id:
    type: string
    format: uuid
    description: Unique identifier of the document template
    example: f89b82b7-6fd5-4256-8aaf-0ea12e9e5547
    readonly: true
  name:
    type: string
    description: The name of the document template
    example: Driving license
  description:
    type: string
    description: A description of the document template
    example: The applicant user's driving license
  mandatory:
    type: boolean
    description: True if a matching document is required in order to submit the onboarding request
    example: true
  mimeType:
    $ref: ./MimeType.yaml
  creationTimestamp:
    type: string
    format: date-time
    description: The creation timestamp
    example: "2024-12-16T17:31:27Z"
    readOnly: true
  updateTimestamp:
    type: string
    format: date-time
    description: The last update timestamp
    example: "2024-12-16T17:31:27Z"
    readOnly: true